Subject: Re: [RFC: -mm patch] improve the SSB dependencies

From: Adrian Bunk <[email-masked]>
Date: Mon, 13 Aug 2007 00:44:02 +0200

On Sun, Aug 12, 2007 at 02:00:26PM +0200, Michael Buesch wrote:
> Ok, I'll give it a try, with small modifications.

Thanks.

> On Sunday 12 August 2007, Adrian Bunk wrote:
> > Additional changes in this patch:
> > - small help text changes
> > - B44_PCI is no longer usr visible (automatically enabled when possible)
> 
> I think we want that to be selectable, as it's not needed
> on some embedded devices. And we need to save memory there.
>...

Makes sense, but then:

config B44_PCI
	bool "Broadcom 440x PCI device support" if EMBEDDED
	...
	default y
	...

I don't care about how many options we present if CONFIG_EMBEDDED=y, but 
for the normal CONFIG_EMBEDDED=n case we should not bother the user with 
this option.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed